Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class PmIRPEventPropertyDescriptorImpl

    java.lang.Object
      com.sun.management.oss.impl.EventPropertyDescriptorImpl
          com.sun.management.oss.impl.util.IRPEventPropertyDescriptorImpl
              com.sun.management.oss.impl.pm.opstatus.PmIRPEventPropertyDescriptorImpl

All Implemented Interfaces:
  EventPropertyDescriptor, IRPEventPropertyDescriptor, java.io.Serializable

Direct Known Subclasses:
  OperationalStatusDataAvailableEventDescriptorImpl, OperationalStatusDataEventDescriptorImpl

public class PmIRPEventPropertyDescriptorImpl
extends IRPEventPropertyDescriptorImpl

Title: Description: Copyright: Copyright (c) 2002 Company:

Version:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.util.IRPEventPropertyDescriptor
`OSS_EVENT_TIME_PROP_NAME, OSS_EVENT_TIME_PROP_TYPE, OSS_MANAGED_ENTITY_PK_PROP_NAME, OSS_MANAGED_ENTITY_PK_PROP_TYPE, OSS_MANAGED_ENTITY_TYPE_PROP_NAME, OSS_MANAGED_ENTITY_TYPE_PROP_TYPE`

Fields inherited from interface com.sun.management.oss.EventPropertyDescriptor
`BOOLEAN, BYTE, DOUBLE, FLOAT, INT, LONG, OSS_APPLICATION_DN_PROP_NAME, OSS_APPLICATION_DN_PROP_TYPE, OSS_EVENT_TYPE_PROP_NAME, OSS_EVENT_TYPE_PROP_TYPE, SHORT, STRING`

Constructor Summary
`PmIRPEventPropertyDescriptorImpl()`

Method Summary
`Event` | `makeEvent()` Factory for Event associated with that Event Descriptor.
`IRPEvent` | `makeIRPEvent()` Returns an IRPEvent.

Methods inherited from class com.sun.management.oss.impl.EventPropertyDescriptorImpl
`getEventType, getPropertyNames, getPropertyTypes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.EventPropertyDescriptor
`getEventType, getPropertyNames, getPropertyTypes`

Constructor Detail

### PmIRPEventPropertyDescriptorImpl

    public PmIRPEventPropertyDescriptorImpl()

Method Detail

### makeIRPEvent

    public IRPEvent makeIRPEvent()

  Description copied from interface: `IRPEventPropertyDescriptor`
  Returns an IRPEvent.

  Specified by:
    `makeIRPEvent` in interface `IRPEventPropertyDescriptor`
  Overrides:
    `makeIRPEvent` in class `IRPEventPropertyDescriptorImpl`

### makeEvent

    public Event makeEvent()

  Description copied from interface: `EventPropertyDescriptor`
  Factory for Event associated with that Event Descriptor.

  Specified by:
    `makeEvent` in interface `EventPropertyDescriptor`
  Overrides:
    `makeEvent` in class `IRPEventPropertyDescriptorImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD